Page MenuHomePhabricator

EQDFW/EQORD Deployment Prep Task
Closed, ResolvedPublic

Description

EQDFW/EQORD Deployment Prep Task

This task will track the overall preparation for the EQDFW/EQORD deployments. It will outline the gathering of all the tools and equipment, as well as setup of items pre-shipment.

Once these arrive at their sites, the proper projects for each site will be used for the on-site work.

Assumptions made:

  • Quantity of SC/LC single mode patches. I put 6, but Mark or Faidon may advise more/less.
    • I confirmed with EQ that they provide SC connection single-mode patch panel for our connections.
  • No RJ45 patches or tools, all we have is a router and fiber connections.
  • No fiber cleaner: I recall Mark advising that it wasn't needed. I recall it in IRC conversation, but since I cannot directly quote, I am putting it here for his review/approval.

Cabinet Combination: iron:/srv/passwords/eqmdw.eqdfw.combinations

EQORD:

EQDFW:

Event Timeline

RobH created this task.Feb 27 2015, 5:25 PM
RobH assigned this task to Papaul.
RobH raised the priority of this task from to Normal.
RobH updated the task description. (Show Details)
RobH added projects: ops-codfw, acl*sre-team.
RobH added subscribers: RobH, faidon, mark, Papaul.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2015, 5:25 PM
RobH renamed this task from prepare 'shipment' for eqdfw to prepare equipment list for eqdfw.Feb 27 2015, 5:26 PM
RobH set Security to None.
RobH updated the task description. (Show Details)Feb 27 2015, 5:39 PM
Reedy updated the task description. (Show Details)Feb 27 2015, 6:39 PM

@ RobH shipping will work for me. Thannks

Krenair updated the task description. (Show Details)Feb 28 2015, 1:02 AM
RobH updated the task description. (Show Details)Feb 28 2015, 1:04 AM
Papaul added a comment.Apr 7 2015, 6:49 PM

@RobH: The PDU's were shipped with no power cords and there are using the same power cords cr1-codfw and cr2-codfw are using (nema 5-15p to c19). Before shipping we need to purchase those power cords. How long? can not tell because i don't know yet how the those PUD's will we plunged on site.

RobH added a comment.Apr 7 2015, 6:50 PM

good catch, we'll order the longer (6') type, since thats the standard and having some slack at the peering site won't be an issue.

RobH claimed this task.Jun 4 2015, 4:45 PM
RobH renamed this task from prepare equipment list for eqdfw to EQDFW/EQORD Deployment Prep Task.Jun 4 2015, 7:05 PM
RobH updated the task description. (Show Details)
mark added a comment.Jun 25 2015, 3:19 PM

Let's also get a few short SC-SC single mode fibers, so we can connect a few patches (delivered by Equinix) together, until we have the router working/up. We'll be splitting an existing connection in Chicago, and until it works properly, it may be needed to join both halves ourselves.

RobH updated the task description. (Show Details)Jun 25 2015, 7:53 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 25 2015, 7:53 PM
RobH updated the task description. (Show Details)Jun 25 2015, 7:59 PM
RobH updated the task description. (Show Details)Jun 25 2015, 9:05 PM
RobH updated the task description. (Show Details)
RobH updated the task description. (Show Details)Jun 26 2015, 6:11 PM
BBlack added a subscriber: BBlack.Jun 26 2015, 6:55 PM

I can take some of the sc-sc fibers from eqiad and bring with me. We have several spare and since we started using copper I don't need as many on-site.

RobH added a comment.Jul 14 2015, 7:55 PM

@Cmjohnson: Done, bring them with you. I ordered the other fibers needed and papaul will include them in the shipment.

I found the XFP's from Tampa's RX-16. They made it to eqiad. Additionally
I have 7 on-site that belong to eqiad.

6 Finisar FTLX1412M3BCL 10GBAE-LR/LW (Tampa)
1 Foundry FTLX1412D2BCL-F1 10G-XFP-LR(Tampa)
7 Finisar FTLX1412M3BCL 10GBAE-LR/LW (eqiad)

RobH updated the task description. (Show Details)Jul 28 2015, 7:21 PM
faidon updated the task description. (Show Details)
RobH updated the task description. (Show Details)Aug 10 2015, 8:22 PM
RobH updated the task description. (Show Details)Aug 10 2015, 8:26 PM
RobH updated the task description. (Show Details)Aug 10 2015, 8:43 PM
RobH updated the task description. (Show Details)Aug 10 2015, 10:05 PM

I've emailed our EQ rep Arul to determine our cross-connection info for eqdfw. I have all the IX info for both sites:

CH2
Peering:
A-Side System Name CH2::01055:WIKIMEDIA FOUNDATION INC
Cable ID 17915274
A-Side Port A 1
A-Side Port B 2

DA1
Peering:
A-Side System Name DA1::00372:WIKIMEDIA FOUNDATION INC
Cable ID 17915019
A-Side Port A 1
A-Side Port B 2

RobH updated the task description. (Show Details)Aug 10 2015, 10:07 PM
RobH updated the task description. (Show Details)Aug 10 2015, 11:40 PM
RobH added a comment.EditedAug 10 2015, 11:52 PM

We've linked up with Arul @ EQ for all the above. The two wave xconnects are pending (per the links in the task description). These are the only two outstanding items needed before the on-site @ each new peering location.

Edit addition: Not quite the only. We need to schedule the exchange turn up call with Arul.

RobH updated the task description. (Show Details)Aug 11 2015, 4:07 PM
RobH updated the task description. (Show Details)Aug 14 2015, 5:38 PM

I went at the DA1 site today, I complete my hand scan process so the next time it will be fast for me to access the facility. I was also able to identify our cage and cabinet but i wasn't able to open the cabinet because of the lock code.

eqdfw xe-0/0/0 cable ID = 11395 on Equinix patch panel ID= 17915019
eqdfw xe-1/0/0 cable ID = 11399 on Equinix patch panel ID = 20028800
eqdfw xe-1/1/0 cable ID = 11397 on Equinix patch panel ID = 20028799

eqdfw xe-0/0/0 cable ID = 11395 on Equinix patch panel ID= 20028800
eqdfw xe-1/0/0 cable ID = 11399 on Equinix patch panel ID = 20028799
eqdfw xe-1/1/0 cable ID = 11397 on Equinix patch panel ID = 17915019

we did change this again here is the final connection

eqdfw xe-1/0/0 cable ID = 11395 on Equinix patch panel ID= 20028800
eqdfw xe-0/0/0 cable ID = 11399 on Equinix patch panel ID = 20028799
eqdfw xe-1/1/0 cable ID = 11397 on Equinix patch panel ID = 17915019

RobH added a comment.Aug 25 2015, 6:50 PM

I need to confirm with Chicago/Arul the PDUs are in place.

RobH updated the task description. (Show Details)Aug 25 2015, 7:05 PM

Below are the cable ID's for cr1-codfw and cr2-codfw
11402 cr1-codfw xe-5/0/0
11403 cr2-codfw xe-5/0/0

will update the final diagram later

RobH added a comment.Aug 31 2015, 8:52 PM

So Arul confirmed they don't provide PDUs, but cannot tell me why they are then installed @ eqdfw. As such, I've chatted with Mark/Chris/Papaul during the ops meeting and we'll be including the PDUs purchased for chicago in the shipment with the router.

RobH closed this task as Resolved.Sep 16 2015, 5:15 PM

At this point both sites have been deployed (though we are pending the cross connection final patch in our rack for ch2 ntt) the prep part of all of this is resolved.